idella4     15/07/25 04:59:17

  Modified:             suds-0.6-r1.ebuild
  Log:
  tidy to ebuild with ack from prometheanfire
  
  (Portage version: 2.2.20/cvs/Linux x86_64, signed Manifest commit with key 
0xB8072B0D)

Revision  Changes    Path
1.2                  dev-python/suds/suds-0.6-r1.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/suds/suds-0.6-r1.ebuild?rev=1.2&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/suds/suds-0.6-r1.ebuild?rev=1.2&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/suds/suds-0.6-r1.ebuild?r1=1.1&r2=1.2

Index: suds-0.6-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/suds/suds-0.6-r1.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- suds-0.6-r1.ebuild  25 Jul 2015 04:06:47 -0000      1.1
+++ suds-0.6-r1.ebuild  25 Jul 2015 04:59:16 -0000      1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/suds/suds-0.6-r1.ebuild,v 1.1 
2015/07/25 04:06:47 prometheanfire Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/suds/suds-0.6-r1.ebuild,v 1.2 
2015/07/25 04:59:16 idella4 Exp $
 
 EAPI=5
 PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
@@ -17,23 +17,19 @@
 SLOT="0"
 KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
 IUSE="doc test"
-REQUIRED_USE="doc? ( || ( $(python_gen_useflags 'python2*') ) )"
+
+REQUIRED_USE="doc? ( $(python_gen_useflags python2_7) )"
 
 DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
-       doc? ( dev-python/epydoc[$(python_gen_usedep 'python2*')] )
+       doc? ( dev-python/epydoc[$(python_gen_usedep python2_7)] )
        test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
 RDEPEND=""
 
 DOCS=( README.rst 
notes/{argument_parsing.rst,readme.txt,traversing_client_data.rst} )
 
-#python_prepare() {
-#      rm -R tests
-#}
-
-python_compile() {
-       distutils-r1_python_compile
-       use doc && epydoc -n "Suds - ${DESCRIPTION}" -o doc suds || die
+python_compile_all() {
        # to say that it's both, because it kinda is...
+       use doc && epydoc -n "Suds - ${DESCRIPTION}" -o doc suds || die
 }
 
 python_test() {




Reply via email to